# me.onboarding.get

> GET https://app.intraface.cc/api/v1/me/onboarding

A signed-in person (Clerk session cookie). Agent tokens are refused.

**Auth:** signed-in session (`__session` cookie)

## Responses

### 200: Success.

application/json:

```json
{
  "type": "object",
  "properties": {
    "role": {
      "anyOf": [
        {
          "type": "string",
          "enum": [
            "engineer",
            "product",
            "designer",
            "founder",
            "data",
            "other"
          ]
        },
        {
          "type": "null"
        }
      ]
    },
    "role_other": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 40
        },
        {
          "type": "null"
        }
      ]
    },
    "agents": {
      "type": "array",
      "items": {
        "type": "string",
        "enum": [
          "claude_code",
          "codex",
          "copilot",
          "cursor",
          "claude_ai",
          "other",
          "none"
        ]
      }
    },
    "artifact_freq": {
      "anyOf": [
        {
          "type": "string",
          "enum": [
            "rarely",
            "few_week",
            "daily",
            "several_day"
          ]
        },
        {
          "type": "null"
        }
      ]
    },
    "team_mode": {
      "anyOf": [
        {
          "type": "string",
          "enum": [
            "solo",
            "team_2_5",
            "team_6_20",
            "team_21_plus"
          ]
        },
        {
          "type": "null"
        }
      ]
    },
    "teammates_agents": {
      "anyOf": [
        {
          "type": "string",
          "enum": [
            "most",
            "some",
            "just_me"
          ]
        },
        {
          "type": "null"
        }
      ]
    },
    "share_methods": {
      "type": "array",
      "items": {
        "type": "string",
        "enum": [
          "slack_email",
          "notion_docs",
          "gist",
          "deploy",
          "screenshots",
          "none"
        ]
      }
    },
    "builds": {
      "type": "array",
      "items": {
        "type": "string",
        "enum": [
          "dashboards",
          "prototypes",
          "reports",
          "internal_tools",
          "data_viz",
          "decks"
        ]
      }
    },
    "first_board": {
      "anyOf": [
        {
          "type": "string",
          "maxLength": 120
        },
        {
          "type": "null"
        }
      ]
    },
    "skipped": {
      "type": "array",
      "items": {
        "type": "string",
        "enum": [
          "role",
          "agents",
          "artifact_freq",
          "team_mode",
          "teammates_agents",
          "share_methods",
          "builds",
          "first_board"
        ]
      }
    },
    "invited": {
      "type": "boolean"
    },
    "first_board_claimed": {
      "type": "boolean"
    },
    "completed_at": {
      "anyOf": [
        {
          "type": "string",
          "format": "date-time",
          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
        },
        {
          "type": "null"
        }
      ]
    },
    "updated_at": {
      "anyOf": [
        {
          "type": "string",
          "format": "date-time",
          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
        },
        {
          "type": "null"
        }
      ]
    },
    "getting_started": {
      "type": "object",
      "properties": {
        "hidden": {
          "type": "boolean"
        },
        "done": {
          "type": "array",
          "items": {
            "type": "string",
            "enum": [
              "connect",
              "share"
            ]
          }
        }
      },
      "required": [
        "hidden",
        "done"
      ]
    }
  },
  "required": [
    "role",
    "role_other",
    "agents",
    "artifact_freq",
    "team_mode",
    "teammates_agents",
    "share_methods",
    "builds",
    "first_board",
    "skipped",
    "invited",
    "first_board_claimed",
    "completed_at",
    "updated_at",
    "getting_started"
  ]
}
```

### default

Any other error, in the shared envelope `{ error: { code, message, hint?, details? } }`.
